# $Revision: 1.15 $, $Date: 2011/11/13 10:06:42 $
# TODO
# - add contrib dir
# - spool & results in same dir is not good?
#   /var/spool/cups-pdf/SPOOL
Summary:	CUPS PDF driver
Summary(pl.UTF-8):	Sterownik CUPS-PDF
Name:		cups-backend-pdf
Version:	2.6.1
Release:	1
License:	GPL v2
Group:		Applications
Source0:	http://www.cups-pdf.de/src/cups-pdf_%{version}.tar.gz
# Source0-md5:	65f3fd525c4a9b1d736b91594b3166d5
URL:		http://www.cups-pdf.de/
BuildRequires:	cups-devel
Requires:	cups
Requires:	ghostscript
Obsoletes:	cups-pdf
Conflicts:	ghostscript-esp < 8.15.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%(cups-config --serverbin 2>/dev/null)

%description
CUPS-PDF is designed to produce PDF files in a heterogeneous network
by providing a PDF printer on the central fileserver.

%description -l pl.UTF-8
CUPS-PDF służy do tworzenia plików PDF w środowisku heterogenicznym
poprzez udostępnienie drukarki PDF na centralnym serwerze plików.

%prep
%setup -q -n cups-pdf-%{version}

%build
cd src
%{__cc} %{rpmldflags} %{rpmcflags} %{rpmcppflags} -o cups-pdf cups-pdf.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/backend,%{_sysconfdir}/cups,%{_datadir}/cups/model,%{_var}/spool/cups-pdf/SPOOL}
cp -a src/cups-pdf $RPM_BUILD_ROOT%{_libdir}/backend
cp -a extra/cups-pdf.conf  $RPM_BUILD_ROOT%{_sysconfdir}/cups
cp -a extra/CUPS-PDF.ppd $RPM_BUILD_ROOT%{_datadir}/cups/model

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q cups restart

%postun
if [ "$1" = 0 ]; then
	%service -q cups restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cups/cups-pdf.conf
%attr(700,root,root) %{_libdir}/backend/cups-pdf
%{_datadir}/cups/model/CUPS-PDF.ppd
%dir %{_var}/spool/cups-pdf
%dir %attr(751,root,lp) %{_var}/spool/cups-pdf/SPOOL

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cups-backend-pdf.spec,v $
Revision 1.15  2011/11/13 10:06:42  arekm
- up to 2.6.1

Revision 1.14  2011/05/25 23:39:15  zbyniu
- up to 2.5.1

Revision 1.13  2009/11/30 15:03:11  glen
- package /var/spool/cups-pdf/SPOOL

Revision 1.12  2009/11/30 14:49:37  glen
- release 2

Revision 1.11  2009/11/30 14:49:24  glen
- rename to cups-backend-pdf (idea by pawelz)

Revision 1.10  2009/11/30 14:43:56  glen
- release 2

Revision 1.9  2009/11/30 14:42:46  glen
- ghostscript-esp earlier than 8.15.2 is buggy
- restart ups only once on upgrades
- cosmetics

Revision 1.8  2009/03/23 07:07:38  duddits
- up to 2.5.0

Revision 1.7  2009/01/14 13:34:04  duddits
- up to 2.4.8

Revision 1.6  2008/05/27 00:05:55  charles
- updated to 2.4.7
- add R/BR cups/-devel
- .../backend/cups-pdf permissions to 700

Revision 1.5  2008-05-03 10:30:26  blekot
- fixed dirs (cups-config --serverbin shows /usr/lib/cups), so cups dir removed from %files/install

Revision 1.4  2007-11-26 15:38:58  wolvverine
- rel.1

Revision 1.3  2007/08/04 17:16:38  qboosh
- pl, use optflags

Revision 1.2  2007/08/02 20:56:33  wolvverine
- add spool directory

Revision 1.1  2007/08/02 20:33:23  wolvverine
- init
